package subscribesvc

import (
	subscriberepository "legalgo-BE-go/internal/accessor/subscribe"
	userdomain "legalgo-BE-go/internal/domain/user"
)

type impl struct {
	subsRepo subscriberepository.SubsIntf
}

type Subscribe interface {
	Create(string) (string, error)
	Update(string, userdomain.UserSubsUpdate) error
}

func New(subsRepo subscriberepository.SubsIntf) Subscribe {
	return &impl{subsRepo}
}
